#! /bin/sh

KINDLE_MODELS="k2 k2i k3 k3i"

for model in ${KINDLE_MODELS} ; do
	# Prepare our files for this specific kindle model...
	ARCH=jailbreak_${model}_install
	cp 2.5-jailbreak.dat update_${ARCH}.dat

	# Build install update
	tar -czvf ${ARCH}.tgz _dkinstall.sh _dkinstall.sh.sig update-adds.tar.gz update_${ARCH}.dat
	./kindle_update_tool.py c --${model} ${ARCH} ${ARCH}.tgz

	# Cleanup our temp model-specific files
	rm -rf ${ARCH}.tgz update_${ARCH}.dat

	# Build uninstall update
	./kindle_update_tool.py m --sign --${model} jailbreak_${model}_uninstall uninstall.sh
done

# Move our updates :)
mv -f *.bin ../
